For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
      • GETReturns all custom field definitions.
      • POSTCreates a new custom field definition.
      • PUTUpdates the custom field definition with the specified id.
      • DELDeletes the custom field definition with the specified Id.
      • POSTCreates a custom field selection option for an existing custom field definition.
      • PUTUpdates a custom field selection option for an existing custom field definition.
      • DELDeletes a custom field selection option for an existing custom field definition.
      • GETReturns all custom field definitions linked to the specified project, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition linked to the specified project.
      • POSTLinks a custom field definition to the specified project.
      • POSTSets custom field values for a project.
      • POSTUnlinks a custom field definition from the specified project.
      • GETReturns all custom field definitions linked to the specified project template, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition for the specified project template.
      • POSTLinks a custom field definition to the specified project template.
      • POSTSets the custom fields for a project template.
      • POSTUnlinks a custom field definition from the specified project template.
      • POSTSets the custom fields for a task.
      • POSTSets the custom fields for the specified task template.
      • GETReturns all custom field definitions linked to a workflow.
      • PUTUpdates the order of a custom field definition linked to a workflow.
      • POSTLinks a custom field definition to a workflow.
      • POSTUnlinks a custom field definition from a workflow.
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCustom Fields

Returns all custom field definitions linked to the specified project template, including definitions linked via a workflow.

GET
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/customfielddefinitions
GET
/api/v1/projecttemplates/:projectTemplateId/customfielddefinitions
$curl https://api.awork.com/api/v1/projecttemplates/projectTemplateId/customfielddefinitions \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "Ticket-Number",
5 "entity": "task",
6 "type": "text",
7 "createdOn": "2022-03-10T16:25:09.100Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2022-03-10T18:55:00.500Z",
10 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
11 "order": 1,
12 "isExternal": true,
13 "selectionOptions": [
14 {
15 "value": "Website Design",
16 "id": "123e4567-e89b-12d3-a456-426614174000",
17 "color": "purple",
18 "order": 0
19 }
20 ]
21 }
22]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates the order of a custom field definition for the specified project template.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Response

OK
idstringformat: "uuid"
The id of the custom field definition.
namestring or null
The name of the custom field definition.
entityenum
The entity the custom field definition can be linked to.
Allowed values:
typeenum
The type of the custom field definition.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
orderdouble or null
If it's a project custom field, it's the global order of the custom field definition. Otherwise, it's the order of the custom field definition within a project template or a project.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).

selectionOptionslist of objects or null
The selection options for this custom field definition.

Errors

404
Not Found Error